%define shortname simplejson
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitelib}/.*\\.so\\

Name:           python-%{shortname}
Version:        3.8.1
Release:        1%dist
Summary:        Simple, fast, extensible JSON encoder/decoder for Python
Group:          Development/Python
License:        MIT
URL:            http://undefined.org/python/#simplejson
Source0:        https://pypi.python.org/packages/source/s/simplejson/%{shortname}-%{version}.tar.gz
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme

%description
simplejson is a simple, fast, complete, correct and extensible JSON
(http://json.org) encoder and decoder for Python 2.3+. It is pure Python code
with no dependencies, but includes an optional C extension for a serious speed
boost.

simplejson was formerly known as simple_json, but changed its name to comply
with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding (UTF-8
by default).

%prep
%setup -q -n %{shortname}-%{version}

%build
%{__python} setup.py build
./scripts/make_docs.py

%install
%{__python} setup.py install --root=%{buildroot} --prefix=%{_prefix}
rm docs/.buildinfo
rm docs/.nojekyll

%files
%doc docs LICENSE.txt
%{python_sitelib}/*
